de.dhbwstuttgart.syntaxtree.statement

## Class SuperCall

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.MethodCall
          - - de.dhbwstuttgart.syntaxtree.statement.ThisCall
            - - de.dhbwstuttgart.syntaxtree.statement.SuperCall

- All Implemented Interfaces:
    IItemWithOffset, Typeable

      public class SuperCall
      extends ThisCall

- - ### Field Summary

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ThisCall

      `arglist`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.MethodCall

      `parserlog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperCall(int offset, int variableLength)`
    `SuperCall(SyntaxTreeNode parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `java.lang.String` | `toString()` Author: Martin PlÃ¯Â¿Â½micke
    `ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `ConstraintsSet` | `TYPEStmt(TypeAssumptions assumptions)` This kann auch als Konstruktoraufruf in einem Konstruktor-Block vorkommen.

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ThisCall

      `getArgumentList, getChildren, set_ArgumentList, set_UsedId`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.MethodCall

      `add_Expr, constraintsFromMethodAssumption, get_Name, get_Receiver, getName, overloading, parserPostProcessing, set_Expr_Menge, set_Name, set_Receiver, wandleRefTypeAttributes2GenericAttributes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `get_Name_Menge, get_Type_Menge, get_UsedId, set_Type`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SuperCall

          public SuperCall(int offset,
                           int variableLength)

    - #### SuperCall

          public SuperCall(SyntaxTreeNode parent)

  - ### Method Detail

    - #### TYPEExpr

          public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

      Overrides:
        `TYPEExpr` in class `ThisCall`

    - #### TYPEStmt

          public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

      This kann auch als Konstruktoraufruf in einem Konstruktor-Block vorkommen.
      Overrides:
        `TYPEStmt` in class `ThisCall`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `MethodCall`
      Author: Martin PlÃ¯Â¿Â½micke
      Overrides:
        `toString` in class `ThisCall`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Overrides:
        `printJavaCode` in class `ThisCall`